Bug 1775574 - python34: Track all levels of bundled provides
Summary: python34: Track all levels of bundled provides
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python34
Version: 32
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-22 10:42 UTC by Miro Hrončok
Modified: 2020-04-09 18:18 UTC (History)
10 users (show)

Fixed In Version: python34-3.4.10-10.fc32 python34-3.4.10-4.fc30 python34-3.4.10-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-09 14:43:05 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-22 10:42:19 UTC
python34 now bundles some wheels and provides:


bundled(python3-pip) = 9.0.1
bundled(python3-setuptools) = 28.8.0


We've been asked by the security people to also track the second level (all levels) of bundled libraries, i.e. stuff bundled in pip, setuptools, etc.

This is technically relevant to all out Python interpreters (2.7+), as they all they the rpmwheels bcond. However, to reduce the maintenance cost of this, I suggest we only add the provides to the packages when we decide to disable rpmwheels permanently, like in python34.

Comment 1 Ben Cotton 2020-02-11 17:20:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Tomáš Hrnčiar 2020-03-27 14:00:12 UTC
PR: https://src.fedoraproject.org/rpms/python34/pull-request/51

Comment 3 Fedora Update System 2020-03-31 13:52:30 UTC
FEDORA-2020-b33cf73048 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b33cf73048

Comment 4 Fedora Update System 2020-03-31 13:52:33 UTC
FEDORA-2020-de5e4b7c02 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-de5e4b7c02

Comment 5 Fedora Update System 2020-03-31 13:52:39 UTC
FEDORA-2020-0b19858dbb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b19858dbb

Comment 6 Fedora Update System 2020-04-01 02:15:01 UTC
FEDORA-2020-b33cf73048 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b33cf73048`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b33cf73048

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-01 03:49:49 UTC
FEDORA-2020-0b19858dbb has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0b19858dbb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b19858dbb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-01 03:54:39 UTC
FEDORA-2020-de5e4b7c02 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-de5e4b7c02`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-de5e4b7c02

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-09 14:43:05 UTC
FEDORA-2020-b33cf73048 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-04-09 17:43:40 UTC
FEDORA-2020-0b19858dbb has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-09 18:18:09 UTC
FEDORA-2020-de5e4b7c02 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.